oracle.dbtools.plugin.api.json.objects

## Enum JSONNode.Type

- java.lang.Object
- - java.lang.Enum<JSONNode.Type>
  - - oracle.dbtools.plugin.api.json.objects.JSONNode.Type

- All Implemented Interfaces:
    Serializable, Comparable<JSONNode.Type>
  Enclosing interface:
    JSONNode

      public static enum JSONNode.Type
      extends Enum<JSONNode.Type>

  The type of node in the object hierarchy
  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY` A JSON array, a series of values enclosed in square braces
    `OBJECT` A JSON object, a series of key value pairs enclosed in curly braces

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JSONNode.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JSONNode.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final JSONNode.Type ARRAY

      A JSON array, a series of values enclosed in square braces

    - #### OBJECT

          public static final JSONNode.Type OBJECT

      A JSON object, a series of key value pairs enclosed in curly braces

  - ### Method Detail

    - #### values

          public static JSONNode.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JSONNode.Type c : JSONNode.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JSONNode.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010, 2022, Oracle and/or its affiliates.